xml-commons-resolver API: Class PublicId

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.resolver.helpers
Class PublicId

    java.lang.Object
      |
      +--org.apache.xml.resolver.helpers.PublicId

public abstract class PublicId
extends java.lang.Object

Static methods for dealing with public identifiers.

This class defines a set of static methods that can be called to handle public identifiers.

Version:
  1.0
Author:
  Norman Walsh Norman.Walsh@Sun.COM

Constructor Summary
`protected` | `PublicId()`

Method Summary
`static java.lang.String` | `decodeURN(java.lang.String urn)` Decode a "publicid" URN into a public identifier.
`static java.lang.String` | `encodeURN(java.lang.String publicId)` Encode a public identifier as a "publicid" URN.
`static java.lang.String` | `normalize(java.lang.String publicId)` Normalize a public identifier.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PublicId

    protected PublicId()

Method Detail

### normalize

    public static java.lang.String normalize(java.lang.String publicId)

  Normalize a public identifier.

  Public identifiers must be normalized according to the following rules before comparisons between them can be made:

  - Whitespace characters are normalized to spaces (e.g., line feeds, tabs, etc. become spaces).
  - Leading and trailing whitespace is removed.
  - Multiple internal whitespaces are normalized to a single space.

  This method is declared static so that other classes can use it directly.

  Parameters:
    `publicId` - The unnormalized public identifier.
  Returns:
    The normalized identifier.

### encodeURN

    public static java.lang.String encodeURN(java.lang.String publicId)

  Encode a public identifier as a "publicid" URN.

  This method is declared static so that other classes can use it directly.

  Parameters:
    `publicId` - The unnormalized public identifier.
  Returns:
    The normalized identifier.

### decodeURN

    public static java.lang.String decodeURN(java.lang.String urn)

  Decode a "publicid" URN into a public identifier.

  This method is declared static so that other classes can use it directly.

  Parameters:
    `urn` - The urn:publicid: URN
  Returns:
    The normalized identifier.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Apache Software Foundation. All Rights Reserved.